#
# PCP BPF PMDA configuration file - see online README and PMDA(3)
#

# This module records block device I/O latency as histogram
[biolatency.so]
enabled = true

# This module records the scheduler run queue latency as histogram
[runqlat.so]
enabled = true

# This module traces new processes
#
# Configuration options:
# Name              - type    - default
#
# process_count     - int     - 20    : number of processes exec's to keep in cache
# command           - string  - unset : include only commands matching this regex
# line              - string  - unset : include only commands where arg contains this line (regex)
# max_args          - int     - 20    : maximum number of arguments to capture
# uid = 1000        - int     - unset : trace this user ID only.
[execsnoop.so]
enabled = false

# Trace interactively entered commands in the bash shell, system-wide.
#
# Configuration options:
# Name                  - type      - default
#
# process_count         - int       - 20    : number of processes exec's to keep in cache
[bashreadline.so]
enabled = false

# Trace out-of-memory killer events
#
# Configuration options:
# Name              - type    - default
#
# process_count     - int     - 20    : number of processes exec's to keep in cache
[oomkill.so]
enabled = true

# This module trace when processes exit, showing their age and exit reason
#
# Configuration options:
# Name              - type    - default
#
# process_count     - int     - 20    : number of processes exec's to keep in cache
[exitsnoop.so]
enabled = false

# This module traces the mount() and umount syscalls system-wide.
#
# Configuration options:
# Name              - type    - default
#
# process_count - int - 20    : number of processes to keep in cache
# pid           - int - unset : Process PID to trace
[mountsnoop.so]
enabled = false

# This module summarize statistics for some common VFS calls
[vfsstat.so]
enabled = false

# This module traces open(2) syscall
#
# Configuration options:
# Name              - type    - default
#
# process_count     - int     - 20    : number of processes to keep in cache
[opensnoop.so]
enabled = false

# Trace file system operations slower than a threshold.
#
# Configuration options:
# Name              - type    - default
#
# process_count - int    - 20    : number of processes to keep in cache
# pid           - int    - unset : Process PID to trace
# filesystem    - string - ext4  : select filesystem type to trace (btrfs, ext4, nfs, xfs)
# min           - int    - 10    : trace filesystem operations slower than 10 ms
[fsslower.so]
enabled = false
filesystem = ext4

# This module traces the stat(2) family syscalls.
#
# Configuration options:
# Name              - type    - default
#
# process_count - int  - 20    : number of processes to keep in cache
# pid           - int  - unset : Process PID to trace
# failed        - bool - 0     : Only show failed stats
[statsnoop.so]
enabled = false

# This tool traces the kernel function performing active TCP connections (eg,
# via a connect() syscall.
#
# Configuration options:
# Name              - type    - default
#
# process_count - int - 20    : number of processes to keep in cache
# pid           - int - unset : Process PID to trace
# min_us        - int - 100   : trace connection latency slower than this
[tcpconnlat.so]
enabled = false

# This tool traces the kernel function performing active TCP connections (eg,
# via a connect() syscall; accept() are passive connections).
#
# Configuration options:
# Name              - type    - default
#
# process_count - int    - 20    : number of processes to keep in cache
# pid           - int    - unset : Process PID to trace
# port          - int    - unset : Ports
# uid           - int    - unset : Process UID to trace
# cgroupmap     - string - unset : trace cgroups in this map (not implemented)
# mntnsmap      - string - unset : trace mount namespaces in this map (not implemented)
[tcpconnect.so]
enabled = false

# This tool traces block device I/O (disk I/O), and prints a line of output
# per I/O.
#
# Configuration options:
# Name              - type    - default
#
# process_count - int    - 20    : number of processes to keep in cache
# disk          - string - unset : Trace this disk only
# cgroup        - string - unset : Trace process in cgroup path
[biosnoop.so]
enabled = false

# This tool uses the kernel tracepoint to track tcp and udp packet metrics.
#
# Configuration options:
# Name              - type    - default
#
# process_count - int    - 20    : number of processes to keep in cache
# pid           - int    - unset : Process PID to trace
# port          - int    - unset : Ports
# uid           - int    - unset : Process UID to trace
[netatop.so]
enabled = true
